<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../../lang/".$lang."/".$lang.".php")) include "../../lang/".$lang."/".$lang.".php";
     else include "../../lang/ru/ru.php";

  $title=$titlepage = $TEXT['hostlst-add-tit2'];
  $helppage = "";

  require_once "../../config.php";
  require_once "../../util/top_layer2.php";

  if($result2['administrator'] == 0) puterror3($TEXT['error-loginform4']);

  if(empty($_POST['host'])) puterror3($TEXT['hostlst-error1']);
  if(strlen($_POST['host'])>65) puterror3($TEXT['hostlst-error2']);
  if(empty($_POST['tip'])) puterror3($TEXT['error-tip1']);
  if(strlen($_POST['tip'])>9) puterror3($TEXT['error-tip2']);

  if(isset($_POST['host'])) $host=trim($_POST['host']);
    else $host="";
     if (empty($host)) puterror3($TEXT['error-domain3']);

  $_POST['host'] = rep($_POST['host']);
  $_POST['tip'] = rep($_POST['tip']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-ex-host-add'];
  $what = $_POST['host']." (".$_POST['tip'].")";
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `hostlists` ( `hostname` , `type` ) VALUES ('".$_POST['host']."', '".$_POST['tip']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror3($TEXT['error-log']);
  } else puterror3($TEXT['error-tbl30']);
  require_once "../../util/bottom.php";
?>
